/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/* Compras e Suprimentos                                                      */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: CONCAT_PZO_PAGTO                                                     */
/*                                                                            */
/* Descrio:                                                                 */
/* Retorna os prazos de pagamento e uma coleta concatenados em uma string     */
/*                                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 28/04/99 - Yoris L. de Souza                                               */
/*                                                                            */
/* Manutenes:                                                               */
/*   /  /   -                                                                 */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* PARAMETROS:                                                                */
/*                                                                            */
/* P_CDFILIAL     - Cdigo da Filial                                          */
/* P_CDPRODUTO    - Cdigo do Produto                                         */
/******************************************************************************/

-- @H:\SISTEMAS\DBA\SQL\ORACLE\8190_CMPFUN_CONCAT_PZO_PAGTO.SQL
-- @D:\SQL\EFETIVA\8190_CMPFUN_CONCAT_PZO_PAGTO.SQL

CREATE OR REPLACE FUNCTION CONCAT_PZO_PAGTO
  (P_CDFILIAL    IN PZOPGTITMCOL.CDFILIAL%TYPE,
   P_NRCOLEPRECO IN PZOPGTITMCOL.NRCOLEPRECO%TYPE,
   P_CDFORNECED  IN PZOPGTITMCOL.CDFORNECED%TYPE,
   P_CDPRODUTO   IN PZOPGTITMCOL.CDPRODUTO%TYPE,
   P_CDMARCA     IN PZOPGTITMCOL.CDMARCA%TYPE,
   P_CDREGIAO    IN PZOPGTITMCOL.CDREGIAO%TYPE) RETURN VARCHAR2 IS
   V_NRPGTCOLCAR  VARCHAR2(1000);

BEGIN

 V_NRPGTCOLCAR := '';

 FOR C_PZO_PGTO IN (SELECT TO_CHAR(NRDIASPGTCOL) AS NRPZOPGT,
                           TO_CHAR(VRPERCPGTCOL) AS VRPERPGT 
                    FROM PZOPGTITMCOL
                    WHERE
                     P_CDFILIAL    = CDFILIAL AND
                     P_NRCOLEPRECO = NRCOLEPRECO AND
                     P_CDFORNECED  = CDFORNECED AND
                     P_CDPRODUTO   = CDPRODUTO AND
                     P_CDMARCA     = CDMARCA AND
                     P_CDREGIAO    = CDREGIAO
                    ORDER BY TO_CHAR(NRDIASPGTCOL)) LOOP 

                
   V_NRPGTCOLCAR := V_NRPGTCOLCAR || C_PZO_PGTO.NRPZOPGT 
        || '*' ||  C_PZO_PGTO.VRPERPGT || '_';


 END LOOP;


 RETURN (V_NRPGTCOLCAR);
END;
/