CREATE OR REPLACE PROCEDURE EXPORTA_PR_PROD_TEK
IS
   V_CDPRODINTE   VARCHAR2(20);
   V_CDALMOXARIFE VARCHAR2(6);
   V_QTPRACABADO  FLOAT;
   V_SGUNIDADE    VARCHAR2(10);
   V_DTLANCMOVI   DATE;
   V_IDINTERFACE  VARCHAR2(5);
   
   CURSOR C_PRODACABADO IS
      SELECT P.CDPRODINTE, I.CDALMOXARIFE, PA.QTPRACABADO, P.SGUNIDADE, I.DTLANCMOVI
        FROM PRODACABADO PA, PRODUTO P, LANCTOESTOQ L, ITLANCTOEST I
       WHERE PA.CDPRODUTO = P.CDPRODUTO
         AND PA.CDFILIAL = L.CDFILIAL
         AND PA.NRLANCESTQ = L.NRLANCESTQ
         AND I.CDFILIAL = L.CDFILIAL
         AND I.NRLANCESTQ = L.NRLANCESTQ;
BEGIN
   V_IDINTERFACE := 'Alta';
   
   OPEN C_PRODACABADO;
   LOOP
      FETCH C_PRODACABADO INTO V_CDPRODINTE, V_CDALMOXARIFE, V_QTPRACABADO, V_SGUNIDADE, V_DTLANCMOVI;
      EXIT WHEN C_PRODACABADO%NOTFOUND;
      
      INSERT INTO INT_PRODACAB_TEK(CDPRODEXTERNO, CDALMOXARIFE, QTLANCTOEST, SGUNIDADE, DTENTRSAID, IDINTERFACE)
      VALUES(V_CDPRODINTE, V_CDALMOXARIFE, V_QTPRACABADO, V_SGUNIDADE, V_DTLANCMOVI, V_IDINTERFACE);      
   END LOOP;
   CLOSE C_PRODACABADO;
   
EXCEPTION
   WHEN OTHERS THEN
      IF C_PRODACABADO%ISOPEN THEN
         CLOSE C_PRODACABADO;
      END IF;
      
      RAISE;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('EXPORTA_PR_PROD_TEK','6.35.020'); END;
/
